/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.project.dto.env;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：系统环境被测系统信息
*
* createdate:  2023-10-06 16:09:05  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "系统环境被测系统信息")
public class CpProjectEnvSysUpdateDto implements Serializable
{
    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
    @NotBlank(message = "主键不能为空")
    private String id;

    /**
     * 被测系统地址<br>
     */
    @ApiModelProperty("被测系统地址")
    @Size(max = 255, message="被测系统地址-sysUrl: 数据长度不能 > 255" )
    @NotBlank(message = "请输入被测系统地址")
    private String sysUrl;

    /**
     * 描述<br>
     */
    @ApiModelProperty("描述")
    @Size(max = 255, message="描述-memo: 数据长度不能 > 255" )
    private String memo;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSysUrl() {
        return sysUrl;
    }

    public void setSysUrl(String sysUrl) {
        this.sysUrl = sysUrl;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}